Skip to main content
PATCH
/
v1
/
services
/
{id}
Update a service
curl --request PATCH \
  --url https://api.myproceeds.xyz/v1/services/{id} \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <api-key>' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "baseUrl": "<string>",
  "authConfig": {},
  "networks": [
    "base-sepolia"
  ]
}
'
{
  "data": {
    "id": "<string>",
    "name": "<string>",
    "description": "<string>",
    "baseUrl": "<string>",
    "authConfig": {
      "bearerToken": "***"
    },
    "networks": [
      "base-sepolia"
    ],
    "userId": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "Paywall": [
      {
        "id": "<string>",
        "slug": "<string>",
        "name": "<string>",
        "description": "<string>",
        "targetUrl": "<string>",
        "routePattern": "<string>",
        "price": "<string>",
        "currency": "USDC",
        "network": "base-sepolia",
        "networks": [
          "base-sepolia"
        ],
        "merchantWallet": "<string>",
        "facilitatorUrl": "<string>",
        "timeout": 123,
        "validityWindow": 123,
        "allowedMethods": [],
        "enabled": true,
        "headers": [
          {
            "key": "<string>",
            "value": "***"
          }
        ],
        "queryParams": [
          {
            "key": "<string>",
            "value": "<string>"
          }
        ],
        "serviceId": "<string>",
        "userId": "<string>",
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z"
      }
    ]
  },
  "meta": {
    "requestId": "<string>",
    "timestamp": "2023-11-07T05:31:56Z"
  }
}

Authorizations

X-Api-Key
string
header
required

API key in format mpk_<64 hex chars>. Can alternatively be sent as Authorization: Bearer mpk_....

Path Parameters

id
string
required

Body

application/json
name
string
Required string length: 1 - 100
description
string
baseUrl
string<uri>
authMethod
enum<string>
Available options:
none,
bearer,
token,
x-api-key,
custom-header,
query-param,
bearer-customer,
x-api-key-secret,
json-body-field
authConfig
object
networks
enum<string>[]
Minimum array length: 1

Supported blockchain network identifier. The value must match the owning Service / Paywall mode: pass a testnet identifier when mode is testnet, and a mainnet identifier when mode is mainnet.

Available options:
arc-testnet,
base-sepolia,
hyperevm-testnet,
tempo-testnet,
base,
hyperevm,
tempo
mode
enum<string>
Available options:
testnet,
mainnet

Response

Updated service

data
object
required
meta
object
required